Skip to content

getInventoryItemsCount

READ

Get inventory items count.

POST /api/v1/inventory/getInventoryItemsCount
curl -X POST '<your-host>/api/v1/inventory/getInventoryItemsCount' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "locationId": "string",
    "args": {}
  }'
Response
{
  "results": [
    {
      "id": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "locationId": {
      "type": "string"
    },
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  },
  "required": [
    "locationId",
    "args"
  ]
}